--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Rewriter (probably should be renamed) is a first-pass filter that normalizes some of ruby's ASTs to make them more processable later in the pipeline. It only has processors for what it is interested in, so real the individual methods for a better understanding of what it does.
constants: []

full_name: Rewriter
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: process_attrasgn
- !ruby/object:RI::MethodSummary 
  name: process_call
- !ruby/object:RI::MethodSummary 
  name: process_case
- !ruby/object:RI::MethodSummary 
  name: process_defn
- !ruby/object:RI::MethodSummary 
  name: process_fcall
- !ruby/object:RI::MethodSummary 
  name: process_if
- !ruby/object:RI::MethodSummary 
  name: process_iter
- !ruby/object:RI::MethodSummary 
  name: process_self
- !ruby/object:RI::MethodSummary 
  name: process_until
- !ruby/object:RI::MethodSummary 
  name: process_vcall
- !ruby/object:RI::MethodSummary 
  name: process_when
- !ruby/object:RI::MethodSummary 
  name: process_zarray
name: Rewriter
superclass: SexpProcessor
